package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolLinkageStrategyReverse;
import java.util.List;

public interface IPatrolLinkageStrategyReverseService {
   PatrolLinkageStrategyReverse selectPatrolLinkageStrategyReverseByLinkageStrategyRefId(Long var1);

   List<PatrolLinkageStrategyReverse> selectPatrolLinkageStrategyReverseList(PatrolLinkageStrategyReverse var1);

   int insertPatrolLinkageStrategyReverse(PatrolLinkageStrategyReverse var1);

   int updatePatrolLinkageStrategyReverse(PatrolLinkageStrategyReverse var1);

   int deletePatrolLinkageStrategyReverseByLinkageStrategyReverseIds(Long[] var1);

   int deletePatrolLinkageStrategyReverseByLinkageStrategyReverseId(Long var1);
}
